Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157667 - I/O Errors when swtiching Blade USB Media Tray
Summary: I/O Errors when swtiching Blade USB Media Tray
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2005-05-13 16:15 UTC by Francisco J. Garcia Humphries
Modified: 2018-10-19 19:00 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0437
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 13:23:52 UTC
Target Upstream Version:


Attachments (Terms of Use)
Candidate #1 - like in idefloppy (deleted)
2005-05-26 01:49 UTC, Pete Zaitcev
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0437 normal SHIPPED_LIVE Important: Updated kernel packages for Red Hat Enterprise Linux 3 Update 8 2006-07-20 13:11:00 UTC

Description Francisco J. Garcia Humphries 2005-05-13 16:15:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050317 Firefox/0.9.2 StumbleUpon/1.993

Description of problem:
On a IBM Blades (tried both HS20 and HS40 model) on a BladeCenter, when switching the media tray to a server (no disk or CD inserted in the media tray), we get the following errors:

May  9 17:26:57 vtforlinux2 kernel: hub.c: new USB device 00:0f.2-1, assigned address 77
May  9 17:26:57 vtforlinux2 kernel: hub.c: USB hub found
May  9 17:26:57 vtforlinux2 kernel: hub.c: 4 ports detected
May  9 17:26:58 vtforlinux2 kernel: hub.c: new USB device 00:0f.2-1.1, assigned address 78
May  9 17:26:58 vtforlinux2 kernel: hub.c: new USB device 00:0f.2-1.3, assigned address 79
May  9 17:27:00 vtforlinux2 /etc/hotplug/usb.agent: Setup usbcore for USB product 4b4/5203/1
May  9 17:27:00 vtforlinux2 /etc/hotplug/usb.agent: Setup usbcore for USB product 4b4/5203/1
May  9 17:27:00 vtforlinux2 devlabel: devlabel's temporary ignore list /etc/sysconfig/devlabel.d/ignore_list has been emptied due to a change in device configuration.
May  9 17:27:01 vtforlinux2 kernel: sdg : READ CAPACITY failed.
May  9 17:27:01 vtforlinux2 kernel: sdg : status = 1, message = 00, host = 0, driver = 08
May  9 17:27:01 vtforlinux2 kernel: Current sd00:00: sense key Not Ready
May  9 17:27:01 vtforlinux2 kernel: Additional sense indicates Medium not present
May  9 17:27:01 vtforlinux2 kernel: sdg : block size assumed to be 512 bytes, disk size 1GB.
May  9 17:27:01 vtforlinux2 kernel: sdg: Write Protect is on
May  9 17:27:01 vtforlinux2 kernel:  sdg: I/O error: dev 08:60, sector 0
May  9 17:27:01 vtforlinux2 kernel:  I/O error: dev 08:60, sector 0
May  9 17:27:01 vtforlinux2 kernel:  unable to read partition table
May  9 17:27:01 vtforlinux2 kernel:  I/O error: dev 08:60, sector 0
May  9 17:27:01 vtforlinux2 kernel:  I/O error: dev 08:60, sector 0
May  9 17:27:01 vtforlinux2 /etc/hotplug/usb.agent: Setup usb-storage for USB product 644/0/0
May  9 17:27:01 vtforlinux2 kernel: sdg : READ CAPACITY failed.
May  9 17:27:01 vtforlinux2 kernel: sdg : status = 1, message = 00, host = 0, driver = 08
May  9 17:27:01 vtforlinux2 kernel: Current sd00:00: sense key Not Ready
May  9 17:27:01 vtforlinux2 kernel: Additional sense indicates Medium not present
May  9 17:27:01 vtforlinux2 kernel: sdg : block size assumed to be 512 bytes, disk size 1GB.
May  9 17:27:01 vtforlinux2 kernel: sdg: Write Protect is on
May  9 17:27:01 vtforlinux2 kernel:  sdg: I/O error: dev 08:60, sector 0
May  9 17:27:01 vtforlinux2 kernel:  I/O error: dev 08:60, sector 0
May  9 17:27:01 vtforlinux2 kernel:  unable to read partition table
May  9 17:27:02 vtforlinux2 /etc/hotplug/usb.agent: Setup usb-storage for USB product 5ab/30/100
May  9 17:27:02 vtforlinux2 kernel: sdg : READ CAPACITY failed.
May  9 17:27:02 vtforlinux2 kernel: sdg : status = 1, message = 00, host = 0, driver = 08
May  9 17:27:02 vtforlinux2 kernel: Current sd00:00: sense key Not Ready
May  9 17:27:02 vtforlinux2 kernel: Additional sense indicates Medium not present
May  9 17:27:02 vtforlinux2 kernel: sdg : block size assumed to be 512 bytes, disk size 1GB.
May  9 17:27:02 vtforlinux2 kernel: sdg: Write Protect is on
May  9 17:27:02 vtforlinux2 kernel:  sdg: I/O error: dev 08:60, sector 0
May  9 17:27:02 vtforlinux2 kernel:  I/O error: dev 08:60, sector 0
May  9 17:27:02 vtforlinux2 kernel:  unable to read partition table
May  9 17:27:02 vtforlinux2 kernel: sdg : READ CAPACITY failed.
May  9 17:27:02 vtforlinux2 kernel: sdg : status = 1, message = 00, host = 0, driver = 08
May  9 17:27:02 vtforlinux2 kernel: Current sd00:00: sense key Not Ready
May  9 17:27:02 vtforlinux2 kernel: Additional sense indicates Medium not present
May  9 17:27:02 vtforlinux2 kernel: sdg : block size assumed to be 512 bytes, disk size 1GB.
May  9 17:27:02 vtforlinux2 kernel: sdg: Write Protect is on
May  9 17:27:02 vtforlinux2 kernel:  sdg: I/O error: dev 08:60, sector 0
May  9 17:27:02 vtforlinux2 kernel:  I/O error: dev 08:60, sector 0
May  9 17:27:02 vtforlinux2 kernel:  unable to read partition table

Version-Release number of selected component (if applicable):
2.4.21-27.0.4.ELsmp

How reproducible:
Always

Steps to Reproduce:
1. Switch Media Tray (without disk or CD) to a new Blade Server
2. Observe /var/log/messages
3.
  

Actual Results:  Got the error messages descrived above

Expected Results:  ¿No I/O errors?

Additional info:

No sure if this is expected, not very nice to see I/O errors in the messages file.

Comment 1 Pete Zaitcev 2005-05-13 18:38:26 UTC
Yes, it's terrible, but I do not want to go and touch this area at RHEL 3
if it can be avoided. It's too fragile.

Please do this: edit /etc/hotplug/usb.agent; comment these lines:
    if [ -x /sbin/devlabel ]; then
        /sbin/devlabel restart
    fi
Suggested change is to add '#':
#    if [ -x /sbin/devlabel ]; then
#        /sbin/devlabel restart
#    fi

Please try again and see if it helped. You do not need to restart
devlabel if R/W devices are not reconfigured.


Comment 2 Pete Zaitcev 2005-05-13 19:49:04 UTC
Changed status to Needinfo - until results of the workaround are known.


Comment 3 Francisco J. Garcia Humphries 2005-05-19 16:24:22 UTC
(In reply to comment #2)
> Changed status to Needinfo - until results of the workaround are known.
> 

Commented out devlabel from usb.agent. We are getting a lot less errors, but we
still get a few. Guess there's no going around that.


Thanx

Comment 4 Pete Zaitcev 2005-05-19 18:58:27 UTC
By looking at the log, I notice that it appears to be the floppy only.
CD is silent. This gives me an idea... I do not promise that it will
work, but perhaps I can silence messages for ASC==0x3a.

I would like to see a complete, unedited segment of /var/log/messages
where the media tray owner changes away then back, with devlabel commented.
Please attach it to the bug, but do not drop it into the comment box.


Comment 9 Pete Zaitcev 2005-05-26 01:49:53 UTC
Created attachment 114860 [details]
Candidate #1 - like in idefloppy

This is one small step for the mankind - only suppress the READ CAPACITY.
To work best, this needs a fix to go on top of bug 156831. But in order
to keep these bugs non-conflicting, no refactoring was done.

Comment 14 Ernie Petrides 2006-02-24 03:45:00 UTC
A fix for this problem has just been committed to the RHEL3 U8
patch pool this evening (in kernel version 2.4.21-40.3.EL).


Comment 23 Pete Zaitcev 2006-05-15 22:34:27 UTC
Anyone who needs to switch USB with KVM has to comment devlabel from
/etc/hotplug.d/usb.agent, and logs from Fujitsu make it clear that they did not.

The patch suppresses half of the messages which they would otherwise see,
but it only suppresses those with ASC 0x3A. That is safe, because they are
reported to applications (in a contrieved way, admittedly - open() waits).
The Not Ready messages are not supporessed by the patch.


Comment 26 Red Hat Bugzilla 2006-07-20 13:23:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0437.html



Note You need to log in before you can comment on or make changes to this bug.